package cn.gygxzc.cloud.tina.fastdfs.client.mata;

import com.github.tobato.fastdfs.domain.StorePath;
import org.springframework.web.multipart.MultipartFile;

/**
 * Created by niantuo on 2018/10/27.
 * 上传失败的storePath
 */

public class FailedStorePath extends StorePath {

    private String originalName;
    private String fileName;


    public FailedStorePath(MultipartFile file){
        this.fileName = file.getName();
        this.originalName = file.getOriginalFilename();
    }

    public FailedStorePath(String fileName, String originalName) {
        this.originalName = originalName;
        this.fileName = fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public void setOriginalName(String originalName) {
        this.originalName = originalName;
    }

    public String getFileName() {
        return fileName;
    }

    public String getOriginalName() {
        return originalName;
    }
}
